Skip to main content

Celonis Product Documentation

How do I update the RFC module and the Extractor?

Note

It is always recommended to upgrade both components - the RFC Module and the Extractor. While they are backward compatible, having the latest version for both ensures that all the latest features and fixes are available.

Downloads

You can find the latest versions of the RFC Module, the Extractor and the SAP User Role in our download section:

Download SAP Extractor and on-Prem Agent

  • Latest RFC Module (Update): Celonis_RFC_Data_Extraction_x.y-Update.zip

  • Latest SAP User Role: yyyy-mm-dd_CELONIS_EXTRACTION.SAP

  • Latest SAP Extractor: yyyy-mm-dd_SAP_Extractor_Package.zip

Updating the RFC module

If you already have an RFC module installed in your SAP system and you would like to update it, you need to download the respective UPDATE transport (see section above for more details) and then import it into SAP following Step A on 01 - Celonis RFC Module: Requirements and Installation.

If you are upgrading only the RFC Module and the Extractor is intact, we recommend restarting the latter.

Warning

If you are upgrading from an RFC Version earlier than 1.8, then make sure to update the SAP Celonis User role as well. You can find the latest version in the section above or on the Download SAP Extractor and on-Prem Agent page.

Warning

If you are upgrading from an RFC Version earlier than 2.0, and the real-time mode is on, please make sure to delete and recreate the Change Log tables in the SAP system. We have introduced some breaking changes in the recent versions, and it requires drop/recreate of the Change Log tables and the triggers.

Updating the Extractor
Via the Installer (applicable only for Windows)

Warning

Upgrading via the installer is possible only if the existing Extractor instance has been setup via the installer. Otherwise, the program will not be captured via the installer, and a clean installation will be executed.

Download the latest installer and execute it. This will replace the file sap-connector.jar with the newest one, and restart the Celonis Windows Service.

Manual Upgrade (applicable for Windows and Linux)

Applicable Only for SAP Extractor

If you are upgrading from an Extractor that was released before February 2021, you need to also download and setup the JCo Library as described in Step 3 below.

SAP Extractor

To update the SAP on-premise Extractor, you need to perform the following steps:

  1. Download the latest Extractor package from the page SAP Extractor

  2. Stop the current Extractor if it is still running.

  3. If necessary, setup the JCo Library. Download it from the SAP Marketplace, and copy the files below to the folder "Extractor path\jco" on the extractor server.

    1. sapjco3.jar

    2. sapjco3.[.dll | .so | .sl ] (file extension depends for which operating system the library was downloaded)

  4. Replace the <extractor name>.jar file with the new one

  5. Restart the Extractor by using the instructions outlined in How do I set up an on-premise Extractor?

JDBC Extractor

To update the JDBC on-premise Extractor, you need to perform the following steps:

  1. Download the latest Extractor package from the page JDBC Extractor.

  2. Stop the current Extractor if it is still running

  3. Replace the <extractor name>.jar file with the new one

  4. Restart the Extractor by using the instructions outlined in How do I set up an on-premise Extractor?

Requirements

Make sure that all the current requirements of the extractor server are fulfilled, see How do I set up an on-premise Extractor?